# Adding a Creditor Bank Account

Source: https://docs.gocardless.com/docs/gc-embed/adding-a-creditor-bank-account

# Adding a Creditor Bank Account

> **Info:**
> Adding a creditor bank account is optional. If you do not create a creditor bank account funds
>   will be settled to your default payout bank account.

In this step of the GoCardless Embed guide you will create a creditor bank account for the creditor you created in the previous step.

The creditor bank account is where GoCardless will settle the funds we collect from the creditor's payers. This bank account must be controlled by you and **not**be the merchant's bank account. GoCardless will only pay out once we have verified you control the bank account. You should add a creditor bank account for each currency you collect so GoCardless can pay out in that currency.

## POST /creditor_bank_accounts

You can create a creditor bank account by performing a POST request to the `/creditor_bank_accounts` endpoint.

The required parameters depend on the country. For a French bank account they are:

| Parameter           | Description                                                                                                                                                             |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| country_code        | The country that the bank account is registered in, as a [ISO 3166-1 alpha-2 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements). |
| currency            | [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217#Active_codes) currency code. Currently `EUR`, `GBP`, and `USD` are supported for the GoCardless Embed product.        |
| account_holder_name | Name of the account holder, as known by the bank. This must be an account owned by you and **not**the merchant.                                                         |
| iban                | International Bank Account Number. Alternatively you can provide [local details](/docs/api-reference/local-bank-details).                                               |
| links[creditor]     | The ID of the creditor whose payments should be paid out to this account.                                                                                               |

Examples of how to make this request using the GoCardless [client libraries](/docs/developer-resources/client-libraries):

```http
POST https://api.gocardless.com/creditor_bank_accounts HTTP/1.1
Content-Type: application/json
\
  \}
\}

HTTP/1.1 201 Created
Location: /creditor_bank_accounts/BA123
Content-Type: application/json
\
\}
\}
```

```php
\$client->creditorBankAccounts()->create([
"params" => [
"account_number" => "55779911",
"branch_code" => "200000",
"country_code" => "GB",
"account_holder_name" => "Nude Wines",
"links" => [
"creditor" => "CR123"
]
]
]);
```

```python
client.creditor_bank_accounts.create(params=\
\})
```

```ruby
@client.creditor_bank_accounts.create(
params: \
\}
)
```

```java
CreditorBankAccount creditorBankAccount = client.creditorBankAccounts().create()
.withAccountNumber("55779911")
.withBranchCode("200000")
.withCountryCode("GB")
.withAccountHolderName("Nude Wines")
.withLinksCreditor("CR123")
.execute();
```

```javascript
const creditorBankAccount = await client.creditorBankAccounts.create(\,
\});
```

```net
var creditorBankAccountRequest = new GoCardless.Services.CreditorBankAccountCreateRequest()
\
\};

var creditorBankAccountResponse = await gocardless.CreditorBankAccounts.CreateAsync(creditorBankAccountRequest);
GoCardless.Resources.CreditorBankAccount creditorBankAccount = creditorBankAccountResponse.CreditorBankAccount;
```

```go
package main

	gocardless "github.com/gocardless/gocardless-pro-go/v6"
)

accessToken := "your_access_token_here"
config, err := gocardless.NewConfig(accessToken, gocardless.WithEndpoint(gocardless.SandboxEndpoint))
if err != nil \
client, err := gocardless.New(config)
if err != nil \

creditorBankAccountCreateParams := gocardless.CreditorBankAccountCreateParams\

creditorBankAccount, err := client.CreditorBankAccounts.Create(context, creditorBankAccountCreateParams)
```

```bash
curl --silent \\
-H "Content-Type: application/json" \\
-H "Gocardless-Version: 2015-07-06" \\
-H "Authorization: Bearer \$\" \\
"https://api.gocardless.com/creditor_bank_accounts" \\
-d @- << EOF
\
\}
\}
EOF
```

For more details, see the API [reference docs for creating creditor bank accounts](/docs/api-reference/creditor-bank-account#create-a-creditor-bank-account).

## Verify your bank account

Once you have added a creditor bank account, you will see that the bank account `verification_status` will be in `pending` state. You will receive an email with details about how to verify your bank account which requires you to make a verification payment to us. You **must verify your bank account** in order to start receiving payouts.

Once you have submitted the verification payment, you can check on the verification progress via the [GET /creditor_bank_accounts/BA123](/docs/api-reference/creditor-bank-account#get-a-single-creditor-bank-account) API.

The `verification_status` will move to `in_review` state while we verify your account. Once your bank account has been verified, the `verification_status` will be in `successful` state and you will be able to start receiving payouts to that bank account.

## What's next?

  
#### [Setting a Scheme Identifier](/docs/gc-embed/setting-a-scheme-identifier)

Request a custom scheme identifier so your merchant's name appears on payers' bank statements.

  
#### [Setting Up Mandates & Payments](/docs/gc-embed/setting-up-mandates-collecting-payments)

Use Billing Requests to set up Direct Debit mandates and collect payments.